package ecs.components;

import ecs.core.Component;

enum DeathType {
	EXPLOSION;
}

class Death extends Component {
	public var type:DeathType;

	public function new(type:DeathType = EXPLOSION) {
		super();

		this.type = type;
	}
}
